
TYPO3.Flow - Bug # 36632

Status: Closed Priority: Should have
Author: Rens Admiraal Category: Security
Created: 2012-04-26 Assigned To: Rens Admiraal
Updated: 2012-06-28 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.1
Subject: The requestPatterns in AbstractToken has value NULL
Description

I just installed a clean distribution of the blog package and for some reason this install throws an error because of the return value in
hasRequestPatterns() which returns TRUE when the requestPatterns value is NULL.

For this I'll upload a related patch on gerrit. Problem is how the value can be NULL. setRequestPatterns has typehinting for
$requestPatterns being array, and isn't even called somewhere in the code. The property is protected, and has a default value of
array(). Besides that: the setRequestPatterns() method is never called.

History
#1 - 2012-04-26 21:21 - Rens Admiraal

Change is not linked yet, so by hand: https://review.typo3.org/#/c/10797/

#2 - 2012-04-26 21:42 - Karsten Dambekalns
- Category set to Security
- Status changed from New to Under Review
- Assigned To set to Rens Admiraal

#3 - 2012-06-28 10:32 - Karsten Dambekalns
- Status changed from Under Review to Closed
- Affected Flow version changed from Git master to Git 1.1

Not really clear what caused this. Seems to have gone!?
